	.module blink3.c
	.area text
	.dbfile blink3.c
	.dbfunc e isrOC2 _isrOC2 fV
_isrOC2::
	.dbline -1
	.dbline 24
; //=============================================================================
; // File: BLINK_INTR.C
; // Func: CardS12 blinking LED Demo using OC2 Interrupt
; // Copr: (C)2002-2003 by Oliver Thamm, MCT Elektronikladen
; //       http://www.elektronikladen.de
; // Link: Use the "Custom" Linker Setting with the following options:
; //       Program Memory = 0x8000
; //       Data Memory    = 0x3000
; //       Stack Pointer  = 0x3E00           
; // Rem.: This program is supposed to run under the TwinPeeks Monitor,
; //       so an Interrupt Vector File (e.g. VECTORS.C) is *not* included.
; //       Just convert the S19 file using SRECCVT, then load it ("L")
; //       using the monitor and start the program ("G 8000").
; //=============================================================================
; 
; //--------------------------------------------------------------
; 
; #include <stdio.h>
; #include "hcs12dp256.h"
; 
; //--------------------------------------------------------------
; 
; #pragma interrupt_handler isrOC2
; void isrOC2(void) {
	.dbline 26
; 
;     TFLG1 = 0x04;   // clear OC2 Intr Flag
	ldab #4
	stab 0x4e
	.dbline 27
;     TC2 += 31250u;  // 1 interrupt every 31250 timer ticks (0.5s)
	; vol
	ldd 0x54
	addd #31250
	std 0x54
	.dbline 28
;     PTH ^= 0x80;    // toggle LED
	; vol
	ldab 0x260
	clra
	eora #0
	eorb #128
	stab 0x260
	.dbline -2
	.dbline 29
;     }
L3:
	.dbline 0 ; func end
	rti
	.dbend
	.dbfunc e main _main fV
_main::
	.dbline -1
	.dbline 33
; 
; //--------------------------------------------------------------
; 
; void main(void) {
	.dbline 37
; 
;     // install OC2 pseudo vector in RAM
;     // (if running with TwinPEEKs monitor)
;     *((unsigned char *)0x3fe2) = 0x06;  // JMP opcode
	ldab #6
	stab 0x3fe2
	.dbline 38
;     *((void (**)(void))0x3fe3) = isrOC2;
	ldd #_isrOC2
	std 0x3fe3
	.dbline 41
; 
;     // make PTH[7] an Output to drive the LED
;     DDRH |= 0x80;
	bset 0x262,#128
	.dbline 44
; 
;     // Timer Setup
;     TSCR1  = 0x80;  // Timer enable
	ldab #128
	stab 0x46
	.dbline 45
;     TSCR2  = 0x07;  // Prescaler = 128 (1 timer tick every 16s)
	ldab #7
	stab 0x4d
	.dbline 46
;     TCTL2  = 0x00;  // TC2 disconnected from Pin
	clr 0x49
	.dbline 47
;     TIOS  |= 0x04;  // TC2 is Output Compare
	bset 0x40,#4
	.dbline 48
;     TIE   |= 0x04;  // TC2 Interrupt enable
	bset 0x4c,#4
	.dbline 51
; 
;     // enable Interrupts
;     asm("cli");
		cli

L5:
	.dbline 54
L6:
	.dbline 54
	bra L5
X0:
	.dbline -2
	.dbline 55
; 
;     // loop endless (and let the interrupt work)
;     while(1) ;
;     }
L4:
	.dbline 0 ; func end
	rts
	.dbend
