	.module blink4.c
	.area text
	.dbfile O:\!project\CardS12\docs\tutorial\src\bp4\blink4.c
	.dbfunc e _HC12Setup __HC12Setup fV
__HC12Setup::
	.dbline -1
	.dbline 21
; //=============================================================================
; // File: BLINK_INTR.C
; // Func: CardS12 blinking LED Demo using OC2 Interrupt
; // Copr: (C)2002-2003 by Oliver Thamm, MCT Elektronikladen
; //       http://www.elektronikladen.de
; // Link: Use the "Custom" Linker Setting with the following options:
; //       Program Memory = 0x8000
; //       Data Memory    = 0x0400
; //       Stack Pointer  = 0x1000
; // Note: this program is supposed to be running in "stand alone" mode
; //       and must be linked with the interrupt vect table (see text)           
; //=============================================================================
; 
; //--------------------------------------------------------------
; 
; #include <stdio.h>
; #include "hcs12dp256.h"
; 
; //--------------------------------------------------------------
; 
; void _HC12Setup(void) {
	.dbline -2
	.dbline 22
; 	}
L3:
	.dbline 0 ; func end
	rts
	.dbend
	.dbfunc e isrOC2 _isrOC2 fV
_isrOC2::
	.dbline -1
	.dbline 27
; 
; //--------------------------------------------------------------
; 
; #pragma interrupt_handler isrOC2
; void isrOC2(void) {
	.dbline 29
; 
;     TFLG1 = 0x04;   // clear OC2 Intr Flag
	ldab #4
	stab 0x4e
	.dbline 30
;     TC2 += 31250u;  // 1 interrupt every 31250 timer ticks (0.5s)
	; vol
	ldd 0x54
	addd #31250
	std 0x54
	.dbline 31
;     PTH ^= 0x80;    // toggle LED
	; vol
	ldab 0x260
	clra
	eora #0
	eorb #128
	stab 0x260
	.dbline -2
	.dbline 32
;     }
L4:
	.dbline 0 ; func end
	rti
	.dbend
	.dbfunc e main _main fV
_main::
	.dbline -1
	.dbline 36
; 
; //--------------------------------------------------------------
; 
; void main(void) {
	.dbline 39
; 
;     // make PTH[7] an Output to drive the LED
;     DDRH |= 0x80;
	bset 0x262,#128
	.dbline 42
; 
;     // Timer Setup
;     TSCR1  = 0x80;  // Timer enable
	ldab #128
	stab 0x46
	.dbline 43
;     TSCR2  = 0x07;  // Prescaler = 128 (1 timer tick every 16s)
	ldab #7
	stab 0x4d
	.dbline 44
;     TCTL2  = 0x00;  // TC2 disconnected from Pin
	clr 0x49
	.dbline 45
;     TIOS  |= 0x04;  // TC2 is Output Compare
	bset 0x40,#4
	.dbline 46
;     TIE   |= 0x04;  // TC2 Interrupt enable
	bset 0x4c,#4
	.dbline 49
; 
;     // enable Interrupts
;     asm("cli");
		cli

L6:
	.dbline 52
L7:
	.dbline 52
	bra L6
X0:
	.dbline -2
	.dbline 53
; 
;     // loop endless (and let the interrupt work)
;     while(1) ;
;     }
L5:
	.dbline 0 ; func end
	rts
	.dbend
